Retail Express API 2.1

Searches Customer Survey Segments by parameters

Searches Customer Survey Segments by parameters

get
https://api.retailexpress.com.au/v2/customersurveysegments

Query Parameters

order_bystring | null

Order by.

Available field name values: id (default), active, name

Available direction values: asc, desc.

Example: name desc

filter_bystring | null

Filter by.

Available field name values: id, active, name

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:19

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Customer Survey Segments data

CustomerSegmentGroup.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer segment group model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customersurveysegments
 
application/json

Gets Customer Survey Segment by id

Gets Customer Survey Segment by id

get
https://api.retailexpress.com.au/v2/customersurveysegments/{id}

Path Parameters

idinteger(int32)required

Customer Survey Segment id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer Survey Segment

CustomerSegmentGroup

Customer segment group model

* Additional properties are NOT allowed.
idinteger(int32)

Customer Segment Group Identifier

namestring | null

Name

activeboolean

Active status

optionsarray | null[object]

Customer segment option model

* Additional properties are NOT allowed.
Show Child Parameters
get/customersurveysegments/{id}
 
application/json

Searches Options by Customer Survey Segment id and other parameters

Searches Options by Customer Survey Segment id and other parameters

get
https://api.retailexpress.com.au/v2/customersurveysegments/{id}/options

Query Parameters

order_bystring | null

Order by

Available field name values: id (default), name

Available direction values: asc, desc

Example: name desc

filter_bystring | null

Filter by.

Available field name values: id, name

In string values: ‘|’ and ‘,’ characters have to be escaped with slash, i.e. ‘\,’ ‘\|’

For operators that support multiple values (in, notin): multiple values are delimited using ‘|’ character

Available operators:

eq - Equal

neq - Not equals

lt - Less

lte - Less or equal

gt - Greater

gte - Greater or equal

in - In

notin - Not In

contains - Contains

isnull - Is Null

isnullorempty - Is Null Or Empty

isnotnull - Is Not Null

startswith - Starts with

endswith - Ends with

doesnotcontain - Does not contain

For non-nullable fields operators isnull and isnotnull are unavailable

For dates operators: contains, startswith, endswith, doesnotcontain, isnullorempty are unavailable

For strings operators: lt, lte, gt, gte are unavailable

Example: id:eq:19

page_numberinteger(int32)

Format - int32.

>= 1<= 100000

page_sizeinteger(int32)

Format - int32.

>= 1<= 2147483647

Path Parameters

idinteger(int32)required

Customer Survey Segment Id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Paging Response with Customer Survey Segment Options data

CustomerSegmentOption.PagingResponse

* Additional properties are NOT allowed.
dataarray | null[object]

Customer segment option model

* Additional properties are NOT allowed.
Show Child Parameters
page_numberinteger(int32)
page_sizeinteger(int32)
total_recordsinteger(int32)
get/customersurveysegments/{id}/options
 
application/json

Gets specific Option by unique Customer Survey Segment id and Option id

Gets specific Option by unique Customer Survey Segment id and Option id

get
https://api.retailexpress.com.au/v2/customersurveysegments/{id}/options/{option_id}

Path Parameters

idinteger(int32)required

Customer Survey Segment id

option_idinteger(int32)required

Customer Survey Segment Option id

Headers

x-api-keystringrequired

Api subscription key

Cache-Controlstring

Default:no-cache

Authorizationstringrequired

Bearer token for authorization (e.g., Bearer )

Response

application/json

Returns found Customer Survey Segment Option

CustomerSegmentOption

Customer segment option model

* Additional properties are NOT allowed.
idinteger(int32)

Customer segment option identifier

namestring | null

Customer segment option name

get/customersurveysegments/{id}/options/{option_id}
 
application/json

customertypes